// ファイル名: Ch04/nameSpace.cc 
#include <iostream> 
using namespace std; 
 
namespace nSpace_A { 
  string message(){ return "Hello!, "; } 
} 
namespace nSpace_B { 
  string message(){ return "Hi!, "; } 
} 
string message(){ return "Ciao!"; } 
 
int main() { 
  cout << nSpace_A::message()  
       << nSpace_B::message()  
       << message() << endl; 
  return 0;  
}
